/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sdsimulator.interfaz;
import javax.swing.*;
import javax.swing.filechooser.*;
import java.awt.*;
import java.io.*;

/**
 *
 * @author Miguel Herreros
 */
public class VentanaAbrirSerializado {
    private Component [] vectorComponentes=null;
    
    public VentanaAbrirSerializado(Component parent, String descripcion, String extension) throws Exception{
        JFileChooser ventanaAbrir = new JFileChooser(".");
        
        FileNameExtensionFilter filtro = new FileNameExtensionFilter(descripcion, extension);
        ventanaAbrir.setFileFilter(filtro);
        
        int returnVal = ventanaAbrir.showOpenDialog(parent);
        
        if(returnVal == JFileChooser.APPROVE_OPTION) {
            FileInputStream streamArchivo   = new FileInputStream(ventanaAbrir.getSelectedFile());    
            ObjectInputStream streamObjetos = new ObjectInputStream(streamArchivo);
            vectorComponentes = (Component [])streamObjetos.readObject();
        }
    }
    
    public Component[] getComponents(){
        return vectorComponentes;
    }
}
